Package org.apache.lucene.misc.util.fst

# Record Class UpToTwoPositiveIntOutputs.TwoLongs

java.lang.Object
java.lang.Record
org.apache.lucene.misc.util.fst.UpToTwoPositiveIntOutputs.TwoLongs

Enclosing class:
  `UpToTwoPositiveIntOutputs`

public static record UpToTwoPositiveIntOutputs.TwoLongs(long first, long second) extends Record
Holds two long outputs.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TwoLongs(long first, long second)`
  Creates an instance of a `TwoLongs` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `long`
  `first()`
  Returns the value of the `first` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `long`
  `second()`
  Returns the value of the `second` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TwoLongs

    public TwoLongs(long first, long second)
    Creates an instance of a `TwoLongs` record class.
    Parameters:
      `first` - the value for the `first` record component
      `second` - the value for the `second` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### first

    public long first()
    Returns the value of the `first` record component.
    Returns:
      the value of the `first` record component

  - ### second

    public long second()
    Returns the value of the `second` record component.
    Returns:
      the value of the `second` record component